#include<bits/stdc++.h>
using namespace std;

int main(){
	int n;
	
	cin >> n;
	int p = 1, t = 2*n;
	for(int i = 0; i < n-1; ++i){
		if(i%2==0){
			cout << t << " ";
			t--;
		} else{
			cout << p << " ";
			p++;
		}
	}
	cout << n << endl;
    cout << n+1 << " ";
	for(int i = 1; i < n; ++i){
		if(i%2==0){
			cout << t << " ";
			t--;
		} else{
			cout << p << " ";
			p++;
		}
	}
	
}